package server

import "time"

type Service interface {
	ServerInfo() (*Server, error)
}

type Server struct {
	Name              string        `json:"name"`
	Status            string        `json:"status"`
	Version           string        `json:"version"`
	WelcomeMessage    string        `json:"welcomeMessage"`
	MaxClients        int           `json:"maxClients"`
	ClientsOnline     int           `json:"clientsOnline"`
	ReservedSlots     int           `json:"reservedSlots"`
	Uptime            time.Duration `json:"uptime"`
	TotalPing         float32       `json:"totalPing"`
	MinAndroidVersion int           `json:"minAndroidVersion"`
	MinClientVersion  int           `json:"minClientVersion"`
	MiniOSVersion     int           `json:"miniOSVersion"`
}
